<?php

namespace Option\Lib;

use Dever;

class Core
{
    protected $uid = -1;
    protected $use = array();
    public $data = array();

    public function __construct()
    {
        $this->uid = Dever::load('passport/user')->check(false);
        if ($this->uid <= 0) {
            $this->uid = 5;
        }
        $this->checkLogin();
        if ($this->uid) {
            $this->user = Dever::db('option/account')->find($this->uid);
            $this->user += Dever::db('option/member')->find($this->user['mid']);
            //$this->user['idcard'] = '';
        }

        if ($this->user) {
            $this->user['uid'] = $this->user['id'];
        }
    }

    public function checkLogin()
    {
        if (!$this->uid || $this->uid <= 0) {
            Dever::alert('请先登录', -2);
        }
    }
}